package domain


type AlibabaWdkSkuBarcodeQueryApiResults struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        条码结果集合     */
    Models  *[]AlibabaWdkSkuBarcodeQueryBarcodeBo `json:"models,omitempty" `

    /*
        是否成功，根据该字段判断是否调用成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuBarcodeQueryApiResults) SetErrCode(v string) *AlibabaWdkSkuBarcodeQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuBarcodeQueryApiResults) SetErrMsg(v string) *AlibabaWdkSkuBarcodeQueryApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuBarcodeQueryApiResults) SetModels(v []AlibabaWdkSkuBarcodeQueryBarcodeBo) *AlibabaWdkSkuBarcodeQueryApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuBarcodeQueryApiResults) SetSuccess(v bool) *AlibabaWdkSkuBarcodeQueryApiResults {
    s.Success = &v
    return s
}
